//! A module that implements several board games

pub mod tictactoe;

/// A trait that defines a Board for a game where we can make a player
/// play a move and check if a player has won
pub trait Board<Move, Player> {

    /// Apply a move to the board
    fn do_move(&mut self, turn: Player, m: &Move);

    /// Returns if a given player has won the game considering this
    /// board
    fn has_won(&self, player: Player) -> bool;
}
